Summary:	Library for reading RAW files obtained from digital photo cameras
Name:		libraw
Version:	0.13.2
Release:	%mkrel 4
License:	GPLv3
Group:		Development/C
URL:		http://www.libraw.org
Source0:	http://www.libraw.org/data/LibRaw-%{version}.tar.gz
Source1:	LibRaw-demosaic-pack-GPL2.tar.xz
Source2:	LibRaw-demosaic-pack-GPL3.tar.xz
BuildRequires:	libgomp-devel
Buildrequires:	lcms-devel

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

Since LibRaw is linked against LibRaw-demosaic-pack-GPL2 and
LibRaw-demosaic-pack-GPL3 the global licence is GPLv3.

#-------------------------------------------------------------------------------

%package tools
Summary:	Tools available in %name
Group:		Graphics
Obsoletes:	%{name} < %{version}-%{release}

%description tools
This packages provides tools to manipulate raw files.

%files tools
%defattr(-,root,root,-)
%{_bindir}/4channels
%{_bindir}/dcraw_emu
%{_bindir}/dcraw_half
%{_bindir}/half_mt
%{_bindir}/mem_image
%{_bindir}/raw-identify
%{_bindir}/simple_dcraw
%{_bindir}/unprocessed_raw

#-------------------------------------------------------------------------------

%define rawmajor 2
%define lib_raw %mklibname raw %{rawmajor}

%package -n %{lib_raw}
Summary:	LibRaw Runtime Library
Group:		System/Libraries

%description -n %{lib_raw}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw}
%defattr(-,root,root,-)
%doc README README.demosaic-packs
%{_libdir}/libraw.so.%{rawmajor}*

#-------------------------------------------------------------------------------

%define raw_rmajor 2
%define lib_raw_r %mklibname raw_r %{raw_rmajor}

%package -n %{lib_raw_r}
Summary:	LibRaw Runtime Library
Group:		System/Libraries

%description -n %{lib_raw_r}
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

%files -n %{lib_raw_r}
%defattr(-,root,root,-)
%doc README README.demosaic-packs
%{_libdir}/libraw_r.so.%{raw_rmajor}*

#-------------------------------------------------------------------------------
 
%define devname	%mklibname raw -d

%package -n %{devname}
Summary:	LibRaw development libraries
Group:		Development/C
Requires:	%{lib_raw} = %{version}-%{release}
Requires:	%{lib_raw_r} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}-%{release}

%description -n %{devname}
LibRaw development files and headers.

%files -n %{devname}
%defattr(-,root,root,-)
%doc LICENSE.* Changelog.* README README.demosaic-packs html/
%{_includedir}/libraw/
%{_libdir}/libraw.a
%{_libdir}/libraw.la
%{_libdir}/libraw.so 
%{_libdir}/libraw_r.a
%{_libdir}/libraw_r.la
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc

#-------------------------------------------------------------------------------

%prep
%setup -qn LibRaw-%{version} -b 1 -b 2

%build
%configure2_5x --disable-openmp
make -j 2

%install
rm -fr %{buildroot}
%makeinstall_std

# The source tree has these with execute permissions for some reason
chmod 644 LICENSE.CDDL LICENSE.LGPL LICENSE.LibRaw.pdf

# let files section handle docs
rm -fr %{buildroot}%{_datadir}/doc/*

# move docs to a better location
mv doc html

%clean
rm -rf %{buildroot}


%changelog
* Sat May 07 2011 wally <wally> 0.13.2-4.mga1
+ Revision: 95859
- drop empty package
- libify devel package
- tag more files as doc
- prettify .spec a bit

* Thu Mar 24 2011 boklm <boklm> 0.13.2-3.mga1
+ Revision: 76181
- rebuild for bug #497

* Thu Mar 10 2011 mikala <mikala> 0.13.2-2.mga1
+ Revision: 67695
- Disable disable-openmp
- Remove _disable_ld_no_undefined

* Thu Mar 10 2011 mikala <mikala> 0.13.2-1.mga1
+ Revision: 67667
- use make instead of %%make
- Update tarball to 0.13.2
- Add LibRaw-demosaic-pack-GPL2
- Add LibRaw-demosaic-pack-GPL3
- Update License to GPLv3
- Add a -tools subpackage where binary are stored
- Clean spec
- imported package libraw


* Fri Jan 07 2011 Funda Wang <fwang@mandriva.org> 0.12.2-1mdv2011.0
+ Revision: 629452
- new version 0.12.2

* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 0.10.0-1mdv2011.0
+ Revision: 600929
- update to new version 0.10.0

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 565591
- update tag
- import libraw


